cURL
curl \
--request DELETE \
--url "https://api.breeze.blue/v1/studio/projects/prj_example" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000"
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.projects.delete("prj_example", {
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.projects.delete("prj_example", {
expectedEditToken: "replace_with_current_edit_token",
operationId: "123e4567-e89b-42d3-a456-426614174000",
});{
"deleted": true,
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
Delete a project
Delete a project and its clips. Audio files placed in the project are not deleted.
DELETE
/
v1
/
studio
/
projects
/
{project_id}
cURL
curl \
--request DELETE \
--url "https://api.breeze.blue/v1/studio/projects/prj_example" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000"
}'from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.projects.delete("prj_example", {
"expected_edit_token": "replace_with_current_edit_token",
"operation_id": "123e4567-e89b-42d3-a456-426614174000",
})import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.projects.delete("prj_example", {
expectedEditToken: "replace_with_current_edit_token",
operationId: "123e4567-e89b-42d3-a456-426614174000",
});{
"deleted": true,
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Manage Studio projects
Import scripts, edit safely, and retry writes.
List clips
Read a project’s script and clip settings.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Studio project ID, such as prj_….
Body
application/json
edit_token from your latest read or write of this project. A stale token returns 409.
Required string length:
1 - 128New UUID for each write. Retrying with the same ID and body returns the original result instead of repeating the write.

